# Debian-CD-Scripts
A set of simple scripts for modifying and working with the Debian installer CDs.

This repo is divided into i386 and amd64 versions as the CDs use different directories, though the process aside from that is the same.

## Dependencies
 - rsync
 - cpio
 - genisoimage (cdrkit)

## Usage
`./extractcd.sh debian-8.2.0-i386-netinst.iso`  
To extract a CD into the cd/ directory

`./extractrd.sh`  
To extract an init RAMdisk into the irmod/ directory

`./genrd.sh`
To convert the irmod directory back into a RAMdisk in the cd/ directory

`./gencd.sh custom.iso`  
To convert the cd/ directory back into a CD image for use.
